Subject: [mpls-tp] Requirement for context-specific labels

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 14 Dec 2008 14:56:48 -0000

Hi,

In my review of the requirements I-D I noted...

>> 4) "MPLS-TP MUST support MPLS labels that are assigned by the
>> downstream (with respect to data flow) node per [RFC3031] and
>> [RFC3473] and MAY support context-specific MPLS labels as
>> defined in [RFC5331]."
>>
>> Comments: This is a solution requirement and is as bad as "must not
>> support PHP".
>> Can we convert this into a proper functional requirement? In order
>> to do that you would need to think about the function that drives
>> downstream on demand label allocation, and why context-specific
>> labels were introduced.

Ben responded...

> It was Rahul who was keen on including this text on context-specific 
> labels
> during the Boston Design Team meeting. Rahul, could you respond Adrian's
> comment?

Please note that I am not saying that context specific labels should not (or 
should) be supported.

All I am saying is that we need to document the real requirements. These 
might be "MPLS-TP networks MUST support the inclusion of multi-access 
links."

Cheers,
Adrian 

_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp